Page Summary
-
The content provides a reference for retrieving a User object via an API.
-
The API uses a GET HTTP request to a specific URL containing the resource name.
-
The
namepath parameter is required and specifies the resource name of the User. -
The request body must be empty, and a successful response body will contain a User object.
-
The API requires the
https://www.googleapis.com/auth/admanagerauthorization scope.
Retrieves a User object.
To get the current user, the resource name networks/{networkCode}/users/me can be used.
HTTP request
GET https://admanager.googleapis.com/v1/{name}
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the User. Format: |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of User.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admanagerhttps://www.googleapis.com/auth/admanager.readonly
For more information, see the OAuth 2.0 Overview.